Subject: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Oct 2016 18:38:39 +0300

> From: Yuri D'Elia <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 08 Oct 2016 17:27:49 +0200
> 
> > Tis is now fixed on the emacs-25 branch.
> 
> It would be nice to know if this also fixes the original report.

Someone else will need to check this, I don't use mu4e.  But I don't
expect surprises, as the issue I fixed was quite clear and simple to
fix.

> mu4e uses a lot of invisible text in the headers view

Yes, what I saw in your test file is quite crazy.  Making the
beginning of a line invisible in a buffer that truncates line is about
the worst atrocity one can commit against the display engine.  And
then all those eight-bit bytes (presumably used as markers for
something?) in the invisible part... shudder.